Retrieve a specific secret by id
curl --request GET \
--url https://api.rootly.com/v1/secrets/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "secrets",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"secret": "<string>",
"hashicorp_vault_mount": "<string>",
"hashicorp_vault_path": "<string>",
"hashicorp_vault_version": 123
}
}
}Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/secrets/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "secrets",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"secret": "<string>",
"hashicorp_vault_mount": "<string>",
"hashicorp_vault_path": "<string>",
"hashicorp_vault_version": 123
}
}
}